Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.loading
Interface MBeanFileParser

All Known Implementing Classes:
  MLetParser

public interface MBeanFileParser

Interface that abstracts the access to different MBean loader parsers (MLet file parsers, XML based parsers, etc.).

Version:
  $Revision: 1.1 $
Author:
  Juha Lindfors.
See Also:
  `MLet`, `MLetParser`, `org.jboss.mx.loading.MBeanLoader`, `org.jboss.mx.loading.XMLMBeanParser`

Method Summary
`Set` | `parseMBeanFile(String url)` Parses a file that describes the configuration of MBean to load and instantiate in the MBean server (for example, MLet text file).
`Set` | `parseMBeanFile(URL url)` Parses a file that describes the configuration of MBeans to load and instantiate in the MBean server (for example, MLet text file).

Method Detail

### parseMBeanFile

    public Set parseMBeanFile(URL url)
                       throws ParseException

  Parses a file that describes the configuration of MBeans to load and instantiate in the MBean server (for example, MLet text file).

  Parameters:
    `url` - URL of the file
  Returns:
    a set of `MBeanElement` objects that contain the required information to load and register the MBean
  Throws:
    `ParseException` - if there was an error parsing the file
  See Also:
    `MBeanElement`

### parseMBeanFile

    public Set parseMBeanFile(String url)
                       throws ParseException,
                              MalformedURLException

  Parses a file that describes the configuration of MBean to load and instantiate in the MBean server (for example, MLet text file).

  Parameters:
    `url` - URL of the file
  Returns:
    a set of `MBeanElement` objects that contain the required information to load and register the MBean
  Throws:
    `ParseException` - if there was an error parsing the file
    `MalformedURLException` - if the URL string was not valid
  See Also:
    `MBeanElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.